function startRequest()
{
  tfTabelaText = document.getElementById('tfTabela').value;
  tfWierszeText = document.getElementById('tfWiersze').value;
  if(tfTabelaText == ""){
    alert("Proszę podać nazwę tabeli.");
    return;
  }
  if(tfWierszeText == ""){
    alert("Proszę podać liczbę wierszy.");
    return;
  }
  var btnWyswietl = document.getElementById('btnWyswietl');
  btnWyswietl.disabled = true;
  url = "http://localhost/dane.php?tabela=" + tfTabelaText;
  url += "&wiersze=" + tfWierszeText;
  url = encodeURI(url);
  startGETRequest(url, onComplete, onEnd);
}

function onComplete(text, xml)
{
  var dataDiv = document.getElementById("dataDiv");
  if(text.substr(0, 5) != "error"){
    dataDiv.innerHTML = text;
  }
  else{
    arr = text.split("\n");
    if(arr.length != 2){
      dataDiv.innerHTML = "Błędna odpowiedź serwera.";
    }
    else{
      dataDiv.innerHTML = arr[1];
    }
  }
}

function onEnd()
{
  var btnWyswietl = document.getElementById('btnWyswietl');
  btnWyswietl.disabled = false;
}